summaryrefslogtreecommitdiff
path: root/eclass/tests/python-utils-r1.sh
diff options
context:
space:
mode:
Diffstat (limited to 'eclass/tests/python-utils-r1.sh')
-rwxr-xr-xeclass/tests/python-utils-r1.sh7
1 files changed, 1 insertions, 6 deletions
diff --git a/eclass/tests/python-utils-r1.sh b/eclass/tests/python-utils-r1.sh
index 7ba4a864ff10..8c733b22294e 100755
--- a/eclass/tests/python-utils-r1.sh
+++ b/eclass/tests/python-utils-r1.sh
@@ -3,7 +3,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-source tests-common.sh
+source tests-common.sh || exit
eqawarn() {
: # stub
@@ -156,11 +156,6 @@ fi
test_var PYTHON_PKG_DEP pypy3 '*dev-python/pypy3*:0='
test_var PYTHON_SCRIPTDIR pypy3 /usr/lib/python-exec/pypy3
-test_is "python_is_python3 python2.7" 1
-test_is "python_is_python3 python3.2" 0
-test_is "python_is_python3 pypy" 1
-test_is "python_is_python3 pypy3" 0
-
# generic shebangs
test_fix_shebang '#!/usr/bin/python' python3.6 '#!/usr/bin/python3.6'
test_fix_shebang '#!/usr/bin/python' pypy3 '#!/usr/bin/pypy3'